package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbsMapper {
    int insert(Dbs record);

    int insertSelective(Dbs record);

    int updateByPrimaryKeySelective(Dbs record);

    int updateByPrimaryKey(Dbs record);

    int deleteByPrimaryKey(Dbs record);

    int deleteByIds(Collection<Object> collection);

    Dbs selectByPrimaryKey(Dbs record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbs> dyncRead(Map<String,Object> dyncMap);

    Dbs selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbs selectByTmpref(@Param("tmpref")String tmpref);
}
